> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tax Profile Form By Calculator Version ID

> Returns the tax-profile form definition for a calculator version.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /hris/get-tax-profile-form-by-calculator-version-id
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/get-tax-profile-form-by-calculator-version-id:
    get:
      operationId: getTaxProfileFormByCalculatorVersionID
      summary: Get Tax Profile Form By Calculator Version ID
      x-toku-required-scope: payroll:read
      description: |-
        Returns the tax-profile form definition for a calculator version.

        Required scope: `payroll:read`
      parameters:
        - name: taxCalculatorVersionID
          in: query
          required: true
          schema:
            type: integer
            minimum: 1
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetTaxProfileFormByCalculatorVersionIDResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetTaxProfileFormByCalculatorVersionIDResponse:
      type: object
      properties:
        taxProfileForm:
          type: object
          properties:
            countryName:
              type: string
            countryTwoLetterName:
              type: string
            countryThreeLetterName:
              type: string
            taxCalculatorVersionID:
              type: integer
            taxCalculatorRegionFilterTargetCellID:
              type:
                - integer
                - 'null'
            taxProfileComponents:
              type: array
              items:
                type: object
                properties:
                  targetCellID:
                    type: integer
                  label:
                    type: string
                  type:
                    type: string
                    enum:
                      - numeric
                      - select
                  defaultValue:
                    type: string
                  options:
                    type: array
                    items:
                      type: object
                      properties:
                        taxProfileComponentOptionID:
                          type: integer
                        label:
                          type: string
                        value:
                          type: string
                      required:
                        - taxProfileComponentOptionID
                        - label
                        - value
                  regionFilterKeyWord:
                    type:
                      - string
                      - 'null'
                required:
                  - targetCellID
                  - label
                  - type
                  - defaultValue
          required:
            - countryName
            - countryTwoLetterName
            - countryThreeLetterName
            - taxCalculatorVersionID
            - taxProfileComponents
      required:
        - taxProfileForm
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
